Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.odftoolkit.odfdom.dom.type.draw
Enum OdfTextareaVerticalAlignType

    java.lang.Object
      java.lang.Enum<OdfTextareaVerticalAlignType>
          org.odftoolkit.odfdom.dom.type.draw.OdfTextareaVerticalAlignType

All Implemented Interfaces:
  Serializable, Comparable<OdfTextareaVerticalAlignType>

    public enum OdfTextareaVerticalAlignType

extends Enum<OdfTextareaVerticalAlignType>

DOM implementation of OpenDocument attribute draw:textarea-vertical-align.

Enum Constant Summary
`BOTTOM`
`JUSTIFY`
`MIDDLE`
`TOP`

Method Summary
`static OdfTextareaVerticalAlignType` | `enumValueOf(String stringValue)` String to enum, turns a String into its corresponding enum constant
`String` | `toString()` gets the name of this enum.
`static String` | `toString(OdfTextareaVerticalAlignType enumeration)` enum to String, gets the name of this enum constant as a string.
`static OdfTextareaVerticalAlignType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OdfTextareaVerticalAlignType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### TOP

    public static final OdfTextareaVerticalAlignType TOP

### MIDDLE

    public static final OdfTextareaVerticalAlignType MIDDLE

### BOTTOM

    public static final OdfTextareaVerticalAlignType BOTTOM

### JUSTIFY

    public static final OdfTextareaVerticalAlignType JUSTIFY

Method Detail

### values

    public static OdfTextareaVerticalAlignType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OdfTextareaVerticalAlignType c : OdfTextareaVerticalAlignType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OdfTextareaVerticalAlignType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  gets the name of this enum.

  Overrides:
    `toString` in class `Enum<OdfTextareaVerticalAlignType>`
  Returns:
    return the name of OdfTextareaVerticalAlignType

### toString

    public static String toString(OdfTextareaVerticalAlignType enumeration)

  enum to String, gets the name of this enum constant as a string.

  Parameters:
    `enumeration` - the constant of OdfTextareaVerticalAlignType, see draw:textarea-vertical-align
  Returns:
    return the name of OdfTextareaVerticalAlignType

### enumValueOf

    public static OdfTextareaVerticalAlignType enumValueOf(String stringValue)

  String to enum, turns a String into its corresponding enum constant

  Parameters:
    `stringValue` - the name of OdfTextareaVerticalAlignType
  Returns:
    return the constant of OdfTextareaVerticalAlignType, see draw:textarea-vertical-align

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009. All Rights Reserved.